TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsIntegral ( elt-res^pad x ) -> elt-alg^boo

### Description

<shortdoc> True iff element a is in the ring of integers of its parent. </shortdoc>

### Examples

x_z5 := pAdicRing(5,30);;x_r5 := Quotient(x_z5, 5^10);; IsIntegral(Element(x_r5, 213));
x_z5 := pAdicRing(5,30);;x_r5 := Quotient(x_z5, 5^10);; IsIntegral(Element(x_r5, 22/3));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack